/** @format */

import request from "@/utils/request";

// 查询人才类别事项列表
export function listMatter(query) {
  return request({
    url: "/talents/matter/list",
    method: "get",
    params: query,
  });
}

// 查询人才类别事项详细
export function getMatter(id) {
  return request({
    url: "/talents/matter/" + id,
    method: "get",
  });
}

// 新增人才类别事项
export function addMatter(data) {
  return request({
    url: "/talents/matter",
    method: "post",
    data: data,
  });
}

// 修改人才类别事项
export function updateMatter(data) {
  return request({
    url: "/talents/matter",
    method: "put",
    data: data,
  });
}

// 删除人才类别事项
export function delMatter(id) {
  return request({
    url: "/talents/matter/" + id,
    method: "delete",
  });
}
